Star Downloader - Help

Introduction to Star Downloader

Thank you for choosing Star Downloader!

We are putting a lot of effort in trying to make Star Downloader the #1 download manager/accelerator on the market. Hopefully this is the way You will experience it! However, if there are things about Star Downloader that You don't like or perhaps find missing, don't hesitate to contact us and we will try to do better! :-) You will find contact information on our web site: http://www.stardownloader.com

Enjoy!

/Star Downloader Team


What is Star Downloader?

Star Downloader is a download accelerator that can increase download speeds by up to 400 percent. Unlike similar applications, it is completely free. It does not contain any banner ads or spy-ware.

The acceleration is achieved by splitting the file being downloaded into several parts and downloading these parts at the same time. Download speeds are further increased by downloading the file from the fastest mirror sites.

You may automatically resume broken downloads if your connection is lost or if your computer accidently shuts down. With the scheduler, you may download files at certain times of the day. Star Downloader may also automatically connect to your ISP and hangup upon completion of downloads.

An integrated unzipping utility can automatically unzip and install downloaded files. Star Downloader also integrates with your antivirus program to automatically scan files upon completion of the download.

Star Downloader supports FTP and HTTP. Proxy is also supported.


Why use Star Downloader?

Star Downloader offers you features that do not exist in most browsers:

  • Accelerated downloading
    By splitting the file to be downloaded into different parts, downloading them separately and then combining them on your computer, the speed of download increases significantly. In the best case, we have received a 400% performance improvement. Further improvement is achieved by downloading from the servers that have historically given the highest download speeds on your computer.

  • Automatic resume
    If your download is unexpectedly interrupted for any reason (server error, ISP disconnects you, windows hangs, power cut...), you may always resume downloading from the point were you stopped.

  • Organize your downloads
    You may automatically save your files to folders according to the type of file or the date of download. This makes it easy to keep track of your files. Also, if you prefer to download files at certain times of the day, this is possible with the built-in scheduler.


Getting started

This part will take you through the basics of downloading with Star Downloader.

Please note: After installing the program you need to restart your browser to let Star Downloader successfully integrate with it.

When you have read this "Getting Started" part you should continue to the "Step by step" description to be able to fully enjoy all of Star Downloader's functionality.


Starting downloads

Surf the web as usual. If you click on a link to download a file, Star Downloader will show its Save As dialog. Choose where to save the file and press "Start". Enjoy the faster and more reliable download, with a resume feature.

Tip: As default Star Downloader is set to handle the most commonly downloaded file types. You can also download other file types with Star Downloader.


Pausing downloads

Now the download starts and you should see a window like this:

Some information about the download is shown. At the bottom there is a button "Pause" that you could press to temporarily pause your download.

Tip: This can also be done by selecting the download in the main window and pressing the pause button there, or by right-clicking it and choosing pause.


Resuming downloads

If the file being downloaded is paused or interrupted for some reason, you may resume it by double-clicking on it in the main window.

Tip: This could also be done in the same way as pausing, by selecting the download in the main window and pressing the resume button or by right-clicking the download and choosing resume.


When download finish

When a download is completed, a dialog like this pops up:

If you click the "Open/Run" button the file will be opened if it has an associated program and run if it is an executable. If the download was a compressed "Zip" file you are also presented with the possibility to extract it.

Tip: If you have downloaded a compressed file but don't want to extract it at the moment, you will have that possibility by right-clicking the download in the main window download list.


Navigating

Here we will try to describe all the menus found in Star Downloader.

We start with the main menu bar that looks like this:

Star Downloader menu
The menu is divided into several sub sections, each containing a number of actions that you can take. We have the "File" menu with some general actions, the "Categories" menu with actions concerning Star Downloader Categories, the "Downloads" menu with actions to take on files being downloaded and finally the "Help" menu where you among other things find this help file.

Below each menu action is explained:

File menu
  • Options...
    Opens the Options dialog where you can configure Star Downloader according to your needs.

  • Check for new version
    Manually check if there is a new version of Star Downloader available. If so, a message will appear and you may download the new version. You can also have "Check for program updates on startup" checked in the Options dialog to have this version check done automatically.

  • View server statistics
    Show statistics about previous downloads.

  • Clear statistics
    Clear statistics about previous downloads. This is not recommended since it will slow down Star Downloader's performance.

  • Exit
    Exit Star Downloader.
    • Categories menu
  • Add category...
    Add a category to the Category List. It will appear as a sub category of the one you have selected.

  • Edit category...
    Edit the selected category in the Category List.

  • Delete category
    Delete the selected category in the Category List with all its sub-categories.
    • Downloads menu
  • Add URL...
    Add a new link to a file you want to download.

  • Pause
    Pause the selected file(s) in the Download List. You will be able to Resume them later.

  • Resume
    Resume selected file(s) that have been paused or timed out before.

  • Schedule
    Mark selected file(s) for scheduling. They will be downloaded at the time you select in the Options dialog

  • Delete
    Delete selected file(s) from Download List. Not completely downloaded files will be removed from disk.

  • Re-download
    Restart the download of the selected file(s). This means they will be deleted and then downloaded again.

  • Delete All
    Delete all files visible in Download List.

  • Pause All
    Pause all files visible in Download List.

  • Resume All
    Resume all files visible in Download List.

  • Clear All Done and Errenous
    Remove all completely downloaded or erroneous files from program. They will NOT be deleted from disk.

  • Extract...
    If the selected (focused) file in Download List is a compressed Zip archive, this will present you with the possibility to extract it to a directory of your choice.

  • Extract and Install...
    If the selected (focused) file in Download List is a compressed Zip archive and contains an install or setup file, this will extract the file to a temporary directory and then run the install or setup file.

  • View As Text...
    View the selected (focused) file in Download List as text in Star Downloader's text viewer.

  • Properties...
    Show a dialog with some info about the selected (focused) file in Download List.
    • Help menu
  • Help...
    Open this help file.

  • Bug reports
    Send an e-mail to us if you find any "bugs" in the program.

  • Suggestions
    Send an e-mail to us if you would like to suggest a new feature or improvement.

  • Tell a friend
    Send an e-mail to a friend and tell them about Star Downloader.

  • Donation button
    Star Downloader is totally free but we appreciate donations so we can keep on developing the program. If you would like to make a donation, press this button and you will be taken to PayPal's web site. It is a reliable company specialized in secure money transfers.

  • About...
    Open a dialog with Star Downloader version info and similar.
    • In addition to the main menu there are some "pop-up" menues available if you right click the Categories List or the Download List. The one connected with the Categories List is the same as the "Categories" menu described above. The other one looks like this:

    Download List right click menu
    As you can see, the actions available are some of those described above for the "Downloads" menu.


Step by step

This part will give you more in depth information about how Star Downloader works. If you just need a brief introduction, take a look at Getting Started section instead.


Downloading

There are various ways to download files with Star Downloader:

  • Click the Add button and type or paste a URL in the dialog.

  • Copy the URL to the clipboard (with the option "Monitor URLs in clipboard" checked).

  • Click on the link of a file in your web browser. Star Downloader currently integrates with Internet Explorer, Netscape, Opera and Mozilla based browsers.

    The Netscape 6+, Opera and Mozilla integration is different from the others because it just intercepts clicks on the most common file types and not all that you might have choosen in the integration settings. If the Mozilla integration is not working, please try to manually copy the file npstar.dll (from the Star Downloader installation folder) to your browsers "plugin" folder.

    When you start a download the Save As dialog appears. There are more options than selecting a file name. You may choose a category for the file. This will suggest a new default folder, depending on the settings of the category. You may define your own categories for files like Software, Archives, Music and Movies.

    If the Save As dialog pops up when you did not expect it when surfing the web, you may click "Exit and ignore this link in the future". This may happen if for example a web server script is identified as an executable file to download. If you click on this button and then click on the link again in your browser, Star Downloader will not start. To avoid Star Downloader from popping up at all you can press the [ALT] key when you click on the link. Conversely, if you want Star Downloader to handle an unspecified file format, you can press [CTRL] + [ALT] keys when clicking the link.


Pause/resume

You may pause and resume each download, as long as the server supports resuming.

To pause a download in progress, select it and click on the Pause button in the Download Info window, or right-click the download in the Download List and choose Pause.

To resume the download, right-click on it in the Download List and choose Resume. The file will continue to download from the point where it was paused or interrupted.


Schedule

You may schedule downloads for downloading at a later time. To do this, click on the Schedule button in the Save As dialog or right-click on the download in the Download List and choose Schedule. The scheduled file will be downloaded during the periods described in the Scheduler part of the Configuration dialog. You may choose at what time of the day and during which days of the week that scheduled files will be downloaded.


Categories

To help organize your downloads, Star Downloader offers the Categories feature. It allows you to define your own categories for different types of files, for example Software, Archives, Music and Movies. To add a category, either choose Add category from the Options menu, click on the "New..." button in the Save As dialog or right click in the Categories List.

When adding a category, you may choose which file extensions to associate with that category. For example, a Music category could have the extensions "mp3 wav raw". You may also define a Default Folder for your download. This folder will be suggested when you save files that match the extensions of the category. Finally, if you check the "Auto-save these extensions without save as dialog", these downloads will start immediately, without you being prompted by the Save As dialog.


Hang up

If you are a modem user, you have the possibility to tell Star Downloader to hang up your connection when you have finished downloding. To enable/disable this feature, press the "Hang up" button in the toolbar.


Server statistics

Statistics about your downloads are collected and stored on your computer in the file serverstats.txt. It is used by Star Downloader to determine which mirror sites work best from your computer.

If you want to view the statistics, choose View Server Statistics from the File menu. If you want to clear the statistics because of privacy reasons or otherwise, choose Clear Statistics from the File menu.

Please note that statistics are never sent to any central server on the internet. They are only stored on your computer, to increase your download speed.


Configuring

In this section all the things you can change in the Configuration dialog are explained.


Integration

Launch Star Downloader on startup
Check this if you want Star Downloader to start automatically when you startup Windows.

Monitor URLs in clipboard
Star Downloader can look in the clipboard continously to see if there is a link. If there is, it will start the download process automatically.

Enable Browser Integration
Check this if you want Star Downloader to download files when you click on them in your browser. Right now this works with Internet Explorer, Netscape and Opera

Let Star Downloader handle the following extensions
You may choose which file types that Star Downloader will handle when you click on them in your browser or when you copy a link to the clipboard.


Folders

Default download folder
This is the folder that will be suggested in the Save As dialog. If you have chosen not to show the Save As dialog, the file will be downloaded to this folder automatically.

Partial downloads folder
This is where the partial files will be downloaded to before they are joined together and moved to the folder that you chose in the Save As dialog (or the default folder, if you have chosen not to show the Save As dialog).

Auto creation of date folders
Star Downloader may automatically create folders of the current date in your download folder to help you organize your files. The format of the date may be chosen as well.


Download list

Show status bars in status column
Graphical status bars will show the progress of downloads in the main list.

Show grid lines
Choose this if you prefer to have visible grid lines in the main list

Remove files, at startup, that are no longer stored on your computer
If this is checked, any entry in the Download List will be removed if the corresponding file does not exist on the hard drive anymore.

Remove successful downloads from list
This allows you to remove each download from the Download List automatically when download is complete. Please note that this does not remove the file from your hard drive, only its entry in the list.

Colors
Here you may choose which color theme to use for the main list. Available themes are Standard, Star and Custom (which you may change according to your preferences).


Connection

Here you may choose if you have a permanent internet connection of if you connect using Windows dial-up networking. If you use dial-up, you may choose which account you want to use if Star Downloader should automatically connect to the internet. You may also choose to disconnect when downloads are completed.


Dialogs

Save As dialog
This will show the Save As dialog when you add a download. If you have this unchecked, downloads will be automatically started and saved to the default download folder.

Download window
For each download, a window with information will be shown. If you uncheck this, information about the download will only appear in the Download List.

Download Complete dialog
Have this checked if you want to see the Download Complete dialog that lets you Open/Run the file, open its folder, and unzip if it is a zip file.

Show System Tray icons for downloads
If this is checked, small icons will appear next to the star in the system tray when you add downloads. They give you an overview of your current downloads and their status.


Scheduler

If you prefer to download files at certain times of the day/week, you may use the scheduler feature.

Time
Choose the start and stop time during the day(s) when you want to download scheduled files.

Recurrence Pattern
Choose which days to download scheduled files. Please note that you have to choose at least one day, otherwise the scheduler will never start.

Range of Recurrence
Choose the start and end date of the scheduler.


Anti-virus

This feature will allow you to automatically scan downloaded files for viruses using your anti-virus software.


Proxy/firewall

HTTP Proxy
If you want to use an HTTP proxy, please check this box and fill out Address, Port, User and Password in the form. If you click on the Find button, information from the Windows registry will be suggested as Proxy address and port.

FTP Proxy
This is the same as for HTTP Proxy, but without User and Password. You may also choose to use passive mode if you are behind a firewall that requires this.


Performance

Maximum number of simultaneous downloads
This allows you to set an upper limit on the number of downloads that will be active at the same time.

Number of parts to split each file into
Here you may choose the level of acceleration in Star Downloader. If you choose only one part, there will be no acceleration. Between four and five parts generally give a good result. Please note that high numbers like 10, 20 or more, do not necessarily make downloads go faster. Instead, other factors may slow down the speed of downloads.

Do not split files smaller than this size (kilobyte)<br> Small files do not download faster if you split them. Instead, it may take longer time to download them if they are split. Because of this, you may choose the smallest size of downloads that will be split. Files smaller than this size will be downloaded in one part.

Timeout (seconds)<br> If no contact with the host server is established within this time frame, Star Downloader will mark the download as erroneous.

Retry delay (seconds)<br> If a connection to a host server is lost, a new try will be made after this many seconds.

Retry Times
Star Downloader will try to reconnect this many times if a connection is lost to the host server.

Mirror Search
Check this if you want Star Downloader to search in the local mirror list if there are any mirrors of the file being downloaded.


General

Start program minimized
Check this if you want Star Downloader to be automatically minimized to the tray each time you start it.

Show disabled icon in tray when not using browser integration
This will change the Star Downloader tray icon from a star to a star with a red cross when you disable browser integration.

Minimize main window to tray when closing
This option will prevent the Star Downloader application from terminating when you press the close button, but instead minimize it to the tray. To indeed close the application, choose Exit from the File menu or from the tray popup menu.

Check for program updates on startup
If you have this checked, Star Downloader will let you know when a new version of the program has been released.

Auto close program when downloads finish
Check this if you want Star Downloader to terminate automatically when all downloads are finished.

Shut down computer when downloads finish
This will make Star Downloader shut down the computer automatically when all downloads are finished.


Language

Here you can choose in which language you want Star Download. If you do not find your language, you can visit our website to see if someone has made a translation.


License and distribution

Star Downloader is completely free but we appreciate donations to be able to keep on developing it. If you would like to help us with a small donation, please follow this link. It will take you to PayPal, a reliable company that are specialized in secure money transfers. Thank you!


License

Star Downloader® Copyright © 2001-2002 Star Downloader
All rights reserved.

Star Downloader License:

You should carefully read the following terms and conditions before using this software. Your use or installation of this copy of Star Downloader indicates your acceptance of this License. If you do not agree to any of the terms of this License, then do not install or use this copy of Star Downloader.

  • All copyrights to Star Downloader are exclusively owned by the author Star Downloader.

  • This software, and all accompanying files are distributed AS IS and with no warranties of any kind, whether expressed or implied. You use Star Downloader at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing Star Downloader.

  • In addition, in no event does Star Downloader authorize you to use Star Downloader in applications or systems where Star Downloader's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use by you is entirely at your own risk, and you agree to hold Star Downloader harmless from any claims or losses relating to such unauthorized use.

  • You may not rent, lease, modify, reverse engineer, decompile, disassemble or create derivative works based on Star Downloader. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.


Distribution

Feel free to distribute Star Downloader installation file in any way as long as the program is in a non-modified state.